

package gov.va.med.cds.filter;


import org.dom4j.Document;


public class DefaultCdsFilterFactory
    implements
        CdsFilterFactoryInterface
{
    private EntryFilterFactory entryFilterFactory;
    
    public CdsFilterInterface create( Document filterDocument, String templateId, String requestId )
    {
        return create(null, filterDocument, templateId, requestId);
    }


    public CdsFilterInterface create( String filterId, Document filterDocument, String templateId, String requestId )
    {

        CdsFilter cdsFilter = new CdsFilter( filterId, filterDocument, templateId, requestId, entryFilterFactory );
        return cdsFilter;
    }
    
    public void setEntryFilterFactory( EntryFilterFactory entryFilterFactory )
    {
        this.entryFilterFactory = entryFilterFactory;
    }
}
